Package org.apache.lucene.search.knn

# Interface KnnCollectorManager

All Known Implementing Classes:
  `TimeLimitingKnnCollectorManager`, `TopKnnCollectorManager`

public interface KnnCollectorManager
KnnCollectorManager responsible for creating `KnnCollector` instances. Useful to create `KnnCollector` instances that share global state across leaves, such a global queue of results collected so far.

## Method Summary

Modifier and Type
Method
Description
`KnnCollector`
`newCollector(int visitedLimit, LeafReaderContext context)`
Return a new `KnnCollector` instance.

## Method Details

### newCollector

KnnCollector newCollector(int visitedLimit, LeafReaderContext context) throws IOException
Return a new `KnnCollector` instance.

Parameters:
  `visitedLimit` - the maximum number of nodes that the search is allowed to visit
  `context` - the leaf reader context
Throws:
  `IOException`